Skip to content

Instantly share code, notes, and snippets.

@wolfiediscord
Last active February 19, 2024 15:53
  • Star 21 You must be signed in to star a gist
  • Fork 2 You must be signed in to fork a gist
Star You must be signed in to star a gist
Save wolfiediscord/d02d5d30898c8cacd6b5c1ab83af95b9 to your computer and use it in GitHub Desktop.
A guide of how to install unsupported macOS versions on unsupported macs. An FAQ is listed at the end as well.

Welcome

This is a guide of how to install unsupported macOS and OS X versions on your Unsupported Mac. This information is also available in the #faq channel in the Unsupported Macs Discord Server.

Table of Contents

macOS Versions

Mountain Lion (10.8)

Mountain Lion Banner

Supported Macs (Macs that can run it natively)

Model Year
MacBook Pro 13″ from Mid 2009 or later, 15″ from Late 2007 and newer, 17″ from Late 2007 and newer
MacBook Air Late 2008 and newer
iMac Models from Mid 2007 and newer
MacBook 13″ aluminum from 2008, 13″ from 2009 and newer
Mac Mini Early 2009 and newer
Mac Pro Early 2008 models and newer
XServe early 2009 models and newer

Unsupported Macs (Macs that can run it using a patcher)

Model System Identifier
iMac 4,1* 4,2 (CPU upgraded)
iMac 5,1* 5,2 6,1
MacBook 2,1 3,1 4,1
MacBookAir 1,1
MacBookPro 2,1* 2,2*
Macmini 1,1 (CPU upgraded)
Macmini 2,1
MacPro 1,1* 2,1*
Xserve 1,1* 2,1*

Available Patchers

NexPostFacto (32 bit) If your Mac is equipped with ONLY an ATI X1300/1600/1900 GPU, it is highly recommended to use the fully 64-bit version. You can tell by seeing if your model has a *. This patcher has been discontinued by the developer. Use at your own risk.

NexPostFacto (64 bit) (ATI GPU ONLY) This patcher has been discontinued by the developer. Use at your own risk.

Notes

I do not recommend using this operating system in the current year. Mountain Lion is aging. If you need to use a Mac with this version of macOS, I would suggest using Linux instead.

This version of macOS is affected by the certificate issue. See here to fix it.

Mavericks (10.9)

Mavericks Banner

Supported Macs (Macs that can run it natively)

Model Year
iMac Mid-2007 to Mid-2014
MacBook 13" Late 2008 Aluminum, Early 2009 to Mid-2010
MacBook Pro 13" Mid-2009 to Mid-2014
MacBook Pro 15" Mid/Late 2007 to Mid-2014
MacBook Pro 17" Late 2007 to Late 2011
MacBook Air Late 2008 to Early 2014
Mac mini Early 2009 to Late 2012
Mac Pro Early 2008 to Late 2013
Xserve Early 2009

Unsupported Macs (Macs that can run it using a patcher)

Model System Identifier
Macbook 2,1 3,1 4,1
MacBookAir 1,1
iMac 4,1*(if CPU upgraded to Core 2 Duo) 4,2 5,1* 5,2
Macmini 1,1 2,1
MacBookPro 2,1* 2,2*
MacPro 1,1* 2,1 2,2* (with X1900 XT)
Xserve 1,1* 2,1*

Available Patchers

NexPostFacto (64 bit) (ATI GPU ONLY) If your mac is equipped with ONLY an ATI X1300/1600/1900 GPU, you can run this patcher. You can tell by seeing if your model has a *. This patcher has been discontinued by the developer. Use at your own risk.

Notes

I do not recommend this macOS version for the same reasons as Mountain Lion. Mavericks is aging, and there is no software support anymore. Even Firefox ESR was discontinued from Mavericks a while ago. I would highly suggest installing a version of Linux or a newer version of macOS instead.

This version of macOS is affected by the certificate issue. See here to fix it.

Yosemite (10.10)

Yosemite Banner

Supported Macs (Macs that can run it natively)

Model Year
iMac Mid-2007 or later
MacBook 13" Late 2008 Aluminum, Early 2009 or later
MacBook Pro 13" Mid-2009 or later
MacBook Pro 15" Mid/Late 2007 or later
MacBook Pro 17" Late 2007 or later
MacBook Air Late 2008 or later
Mac mini Early 2009 or later
Mac Pro Early 2008 or later
Xserve Early 2009

Unsupported Macs (Macs that can run it using a patcher)

Model System Identifier
MacBook 2,1 3,1 4,1
MacBookAir 1,1
MacBookPro 2,1 2,2
iMac 4,1 4,2 5,1 5,2
Macmini 1,1 2,1
MacPro 1,1 2,1
Xserve 1,1 2,1

Available Patchers

JulianFairFax's OS X Patcher You will not have graphics acceleration with this patcher if you have a Macbook4,1. Support is not guaranteed with this patcher. Use at your own risk.

Notes

I do not recommend this macOS version. While Yosemite can be used to do certain tasks, there is not enough software support. I would highly suggest to anyone wanting this version of macOS to try Linux or a newer version of macOS.

This version of macOS is affected by the certificate issue. See here to fix it.

El Capitan (10.11)

El Capitan Banner

Supported Macs (Macs that can run it natively)

Model Year
iMac Mid-2007 or newer
MacBook Late 2008 Aluminum, Early 2009 or newer
MacBook Air Late 2008 or newer
MacBook Pro Mid/Late 2007 or newer
Mac mini Early 2009 or newer
Mac Pro Early 2008 or newer
Xserve Early 2009

Unsupported Macs (Macs that can run it using a patcher)

Model System Identifier
MacBook 2,1 3,1 4,1
MacBookAir 1,1
MacBookPro 2,1 2,2
iMac 4,1 4,2 5,1 5,2
Macmini 1,1 2,1
MacPro 1,1 2,1
Xserve 1,1 2,1

Available Patchers

JulianFairFax's OS X Patcher You will not have graphics acceleration with this patcher if you have a Macbook4,1. Support is not guaranteed with this patcher. Use at your own risk.

Notes

For a basic user looking to do general web browsing and potentially a few light, older games, this macOS version will work fine. Software support for El Capitan, as of the time of writing, is still pretty decent. Chromium-based browsers are still getting updates, making it great for web browsing. If you do anything more than that, I would suggest using Linux or a newer version of macOS.

This version of macOS is affected by the certificate issue. See here to fix it.

Sierra (10.12)

Sierra Banner

Supported Macs (Macs that can run it natively)

Model Year
iMac Late 2009 or later
MacBook Late 2009 or later
MacBook Air Late 2010 or later
MacBook Pro Mid-2010 or later
Mac mini Mid-2010 or later
Mac Pro Mid-2010 or later

Unsupported Macs (Macs that can run it using a patcher)

Model System Identifier
Macbook 4,1 5,1* 5,2*
MacBookAir 2,1*
MacBookPro 4,1* 5,1* 5,2* 5,3* 5,4* 5,5*
iMac 7,1 8,1* 9,1*
Macmini 3,1*
MacPro 3,1* 4,1*
Xserve 2,1* 3,1*

Available Patchers

dosdude1's macOS Sierra Patch Tool If you see a * next to your model, you are recommended to use this patcher.

Notes

Similar to El Capitan, a basic web browsing user can get by with this macOS version. It is also the latest macOS version that I recommend to people still using a Hard Drive instead of Solid State Drives. For anything newer than Sierra, an SSD is a necessity. If you are a Firefox user, this macOS version is the oldest to support the latest version at time of writing.

This version of macOS is affected by the certificate issue. See here to fix it.

High Sierra (10.13)

High Sierra Banner

Supported Macs (Macs that can run it natively)

Model Year
iMac Late 2009 or later
MacBook Late 2009 or later
MacBook Air Late 2010 or later
MacBook Pro Mid-2010 or later
Mac mini Mid-2010 or later
Mac Pro Mid-2010 or later

Unsupported Macs (Macs that can run it using a patcher)

Model System Identifier
MacBook 4,1 5,1 5,2*
MacBookAir 2,1*
MacBookPro 4,1* 5,1* 5,2* 5,3* 5,4* 5,5*
iMac 7,1 8,1* 9,1*
Macmini 3,1*
MacPro 3,1* 4,1*
XServe 2,1* 3,1*

Available Patchers

dosdude1's macOS High Sierra Patch Tool If you see a * next to your model, you are recommended to use this patcher.

Notes

This macOS version is fairly well supported by most software. Similar to Sierra and El Capitan, you can get by if all you do is browse the web and use basic applications like a word processor. You can also do some advanced tasks as well, but I would not advise using this macOS version as a daily driver.

Mojave (10.14)

Mojave Banner

Supported Macs (Macs that can run it natively)

Model Year
MacBook Early 2015 or later
MacBook Air Mid-2012 or later
MacBook Pro Mid-2012 or later
iMac Pro 2017 or later
iMac Late 2012 or later
Mac mini Late 2012 or later
Mac Pro Mid-2010 or later (only with a compatible Metal card)

Unsupported Macs (Macs that can run it using a patcher)

Model System Identifier
Macbook 4,1 5,1* 5,2* 6,1* 7,1*
MacBookAir 2,1* 3,1* 3,2* 4,1* 4,2*
MacBookPro 4,1* 5,1* 5,2* 5,3* 5,4* 5,5* 6,1* 6,2* 7,1* 8,1* 8,2* 8,3*
iMac 7,1 8,1* 9,1* 10,1* 10,2* 11,1*^ 11,2*^ 11,3*^ 12,1*^ 12,2*^
Macmini 3,1* 4,1* 5,1* 5,2* 5,3*
MacPro 3,1* 4,1*
Xserve 2,1* 3,1*

Legend

If there is a ^ next to your mac model, and you have a AMD Radeon HD 5xxx or 6xxx GPU, Mojave will be almost unusable.

Available Patchers

dosdude1's macOS Mojave Patcher Tool If you see a * next to your model, you are recommended to use this patcher.

OpenCore Legacy Patcher This patcher provides beta GPU acceleration for models with a ^. Support for this is only meant for developers or enthusiasts. Do not expect support with this patcher.

Notes

I highly recommend this macOS version to anyone looking for a version of macOS before Big Sur. It is the last macOS version to support 32-bit apps, and there is still plenty of software support.

Macs without a Metal-compatible graphics card can still run this macOS version. Although, Metal apps do not work. To work around this, download an older version of that application known to work with High Sierra. There is a link to Apple's applications in the FAQ section. I do not condone piracy. If you haven't bought it, don't download it.

Catalina (10.15)

Catalina Banner

Supported Macs (Macs that can run it natively)

Model Year
MacBook 2015 and later
MacBook Air 2012 and later
MacBook Pro 2012 and later
iMac Pro 2017 and later
iMac 2012 and later
Mac mini 2012 and later
Mac Pro 2013 and later

Unsupported Macs (Macs that can run it using a patcher)

Model System Identifier
Macbook 4,1 5,1* 5,2* 6,1* 7,1*
MacBookAir 2,1* 3,1* 3,2* 4,1* 4,2*
MacBookPro 4,1* 5,1* 5,2* 5,3* 5,4* 5,5* 6,1* 6,2* 7,1* 8,1* 8,2* 8,3*
iMac 7,1 8,1* 9,1* 10,1* 10,2* 11,1*^ 11,2*^ 11,3*^ 12,1*^ 12,2*^
Macmini 3,1* 4,1* 5,1*^ 5,2*^ 5,3*^
MacPro 3,1* 4,1*
Xserve 2,1* 3,1*

Legend

If there is a ^ next to your mac model, and you have a AMD Radeon HD 5xxx or 6xxx GPU, Catalina will be almost unusable.

Available Patchers

dosdude1's macOS Catalina Patcher If you see a * next to your model, you are recommended to use this patcher.

OpenCore Legacy Patcher This patcher provides beta GPU acceleration for models with a ^. Support for this is only meant for developers or enthusiasts. Do not expect support with this patcher.

Notes

I do not recommend this macOS version to anyone. While Catalina is decent, it is significantly worse in performance and software compatibility. The only reason to use this, as of this writing, is security updates. Although, security updates are not worth it when it comes to the performance hit. I would strongly suggest Mojave if you are looking for a macOS version before Big Sur.

Macs without a Metal-compatible graphics card can still run this macOS version. Although, Metal apps do not work. To work around this, download an older version of that application known to work with High Sierra. There is a link to Apple's applications in the FAQ section. I do not condone piracy. If you haven't bought it, don't download it.

Big Sur (11.0)

Big Sur Banner

Supported Macs (Macs that can run it natively)

Model Year
MacBook 2015 and later
MacBook Air 2013 and later
MacBook Pro Late 2013 and later
iMac Pro 2017 and later
iMac 2014 and later
Mac mini 2014 and later
Mac Pro 2013 and later

Unsupported Macs (Macs that can run it using a patcher)

Model System Identifier
Macbook 5,1^ 5,2^ 6,1^ 7,1^
MacbookAir 2,1^ 3,1^ 3,2^ 4,1^ 4,2^ 5,1 5,2
MacbookPro 4,1^ 5,1^ 5,2^ 5,3^ 5,4^ 5,5^ 6,1^ 6,2^ 7,1^ 8,1^ 8,2^ 8,3^ 9,1 9,2 10,1 10,2
Macmini 3,1^ 4,1^ 5,1^ 5,2^ 5,3^ 6,1 6,2
iMac 7,1*'^, 8,1'^ 9,1'^ 10,1^ 11,1^ 11,2^ 11,3^ 12,1^ 12,2^ 13,1 13,2 13,3 14,1 14,2 14,3
MacPro 3,1 4,1 5,1
Xserve 2,1 3,1

Available Patchers

OpenCore Legacy Patcher This is the most recommended patcher. This patcher provides beta GPU support for models with a ^.

BenSova's Patched Sur This patcher only supports models without a ^. This patcher will be discontinued in 2022.

StarPlayrX's Big Mac Patcher If you are using a Mac Pro, this patcher is recommended.

ASentientHedgehog's Micropatcher Automator Recommended for non-technical users looking to use barrykn's patcher.

barrykn's Big Sur Micropatcher Not recommended for non-technical users.

Notes

I highly recommend this verison of macOS if you are looking for something stable and daily driver ready. Big Sur has great software support. It is still being given security updates at the time of writing.

Macs without a Metal-compatible graphics card can still run this macOS version. Although, Metal apps do not work. To work around this, download an older version of that application known to work with High Sierra. There is a link to Apple's applications in the FAQ section. I do not condone piracy. If you haven't bought it, don't download it.

Monterey (12.0)

Monterey Banner

At the time of writing, this is the latest macOS version.

Supported Macs (Macs that can run it natively)

Model Year
Macbook Early 2016 and later
MacBook Air Early 2015 and later
MacBook Pro Early 2015 and later
iMac Pro 2017 and later
iMac Late 2015 and later
Mac mini Late 2014 and later
Mac Pro Late 2013 and later

Unsupported Macs (Macs that can run it using a patcher)

Model System Identifier
MacBook 5,1' 5,2' 6,1' 7,1' 8,1 (and newer)
MacBookAir 2,1' 3,1' 3,2' 4,1' 4,2' 5,1 5,2 6,1 (and newer)
MacBookPro 4,1' 5,1' 5,2' 5,3' 5,4' 5,5' 6,1' 6,2' 7,1' 8,1' 8,2' 8,3' 9,1 9,2 10,1 10,2 (and newer)
Macmini 3,1' 4,1' 5,1' 5,2' 5,3' 6,1 6,2
iMac 7,1*' 8,1' 9,1' 10,1* 11,1* 11,2* 11,3* 12,1* 12,2*, 13,1 13,2 13,3 14,1 14,2 14,3 (and newer)
MacPro 3,1* 4,1* 5,1* (and newer)
Xserve 2,1* 3,1*

Legend

If you see a * next to your model, your Mac can run Monterey as long as you have upgraded components.

If you see a ' next to your model, Monterey is not recommended due to lack of GPU acceleration or other factors that may hinder your experience.

Available Patchers

OpenCore Legacy Patcher This is the most recommended patcher.

StarPlayrX's Big Mac Patcher If you are using a Mac Pro, this patcher is recommended.

Notes

While this macOS version is the latest, I recommend you to stick to Big Sur. Monterey has had several issues related to stability. Some people have reported an increase in performance with Monterey. If you want the latest and greatest, then go ahead and use Monterey. I recommend everyone else to stick to Big Sur and not suffer from Shiny New Stuff Syndrome.

Macs without a Metal-compatible graphics card can still run this macOS version. Although, Metal apps do not work. To work around this, download an older version of that application known to work with High Sierra. There is a link to Apple's applications in the FAQ section. I do not condone piracy. If you haven't bought it, don't download it.

FAQ

Q: Can I run macOS X on my Mac?

A: Check the list above of various macOS versions for the one that you want to use.

Q: I have a problem with X patcher on my mac!

A: Feel free to send your problem in the Unsupported Macs discord server.

Q: Can I get my patcher added to the list?

A: Please comment below to get your patcher added to the list, or even fork the gist!

Q: Should I make a backup before trying anything?

A: YES! Always have a backup of your important files before trying anything with these patchers. You never know when something might go wrong and your files are corrupted.

Q: How do I see my Mac's system identifer/model?

A: You need to open System Information. Here is an official Apple article covering the topic.

Q: I've installed macOS X and now my keyboard backlight doesn't work! How do I fix it?

A: Install this application, which will let you adjust the keyboard backlight.

Q: I'm trying to boot macOS X and I keep getting the prohibited symbol? How do I fix this?

A: Make sure to read the entire guide for the patcher you are using. If you are using a video, please use the written guide instead, as videos are very quickly outdated.

Q: I'm getting weird errors and glitches in X program. How do I fix this?

A: If you are using a machine that has a non-Metal compatible graphics card (not on this list), you need to use an older version of X program due to the newer version relying on the Metal API. You can find the Apple suite of applications on archive.org, or by clicking the link here. I do not condone piracy. If you don't own the product don't download it.

Discord Servers for Support

Unsupported Macs A general server for getting support for your Unsupported Mac.

Ursinia Projects This server provides support for Patched Sur.

OpenCore Patcher Paradise This server provides support for OpenCore Legacy Patcher.

Disclaimers

1. I do not take any responsibility for you breaking your Mac with any of these patchers. Use at your own risk.

2. The patchers in the list below are not recommended by me or the Unsupported Macs discord community. Feel free to use them, but do so at your own risk.

MLPostFactor
MacPostFactor
macOS Extractor
JulianFairFax's OS X Patcher
JulianFairFax's macOS Patcher
parrotgeek1's NexPostFacto
Martin Lo's OpenCore

Forking

I support forking of this gist. Just make sure to adhere to the license below and state any changes made.

License & Copyright

Unsupported Macs Guide by Wolfie is licensed under CC BY-SA 4.0 License.

@wolfiediscord
Copy link
Author

Some people may ask, why did I use Github for this instead of just uploading it on my site. While my site is great for hosting information, Github allows for more collaboration and forking of gists. If I were to post this information on my website, it would quickly be lost to the progress of time. Writing this guide and FAQ on Github sustains the information and helps keep it up to date.

@Pf-16
Copy link

Pf-16 commented Dec 28, 2022

Hello, you mention how you do not condone piracy by not downloading mac os versions you didn't pay for, but what I find weird is that the two latest mac os versions appear to be free on the app store. Is this because of regional differences with prices, or is it just me?
https://imgur.com/a/Ra8REBG
Edit: even though not included in the pictures, Monterey is free too

@wolfiediscord
Copy link
Author

Hello, you mention how you do not condone piracy by not downloading mac os versions you didn't pay for, but what I find weird is that the two latest mac os versions appear to be free on the app store. Is this because of regional differences with prices, or is it just me? https://imgur.com/a/Ra8REBG Edit: even though not included in the pictures, Monterey is free too

Sorry for the late response. Apple has made anything above OS X Mavericks free to update and download. The only versions of OS X that are paid for are Mountain Lion and below.

In reference to what the FAQ is actually saying, I do not condone piracy of the applications (ex: Final Cut Pro, Logic, etc). The archive.org link contains copies of these applications, and I do not condone people pirating them if they have not legally purchased them.

@algalick
Copy link

algalick commented Apr 16, 2023

Couldn't make MicropatcherAutomator work on top of a fresh Catalina install (with updates) on a MacBook Pro9,1.
Kept adding a Volume called "Install macOS Big Sur 1" to the list, which was the only one it accepted on the thumbdrive,
took forever, then crapped out with the 1st error msg:

"...Running install-setvars.sh
An "EFI" volume is already mounted. Please unmount it then try again."

Maybe should've installed Chrome first? Maybe something unspoken in the instructions about cleaning up after failures?
Can't afford to waste any more time on it...trying OpenCore Legacy Patcher (which has a great video!)

https://www.youtube.com/watch?v=5M1MepotME0

Also, ASentientHedgehog didn't immediately respond to a friend request...
...on Discord...you know, that server that hosted the big espionage leak? Hmm...
...or maybe it was just a bad 64GB PNY Attache USB from what Walmart had in store.

@Pf-16
Copy link

Pf-16 commented May 30, 2023

can this be updated? I think mac os ventura is out no?

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment